Bug 588500 - if a node originates more then 512 messages in recovery it will sigabort (assert)
if a node originates more then 512 messages in recovery it will sigabort (ass...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais (Show other bugs)
5.5
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Steven Dake
Cluster QE
: ZStream
Depends On:
Blocks: 588627 588898 647290 647291
  Show dependency treegraph
 
Reported: 2010-05-03 16:09 EDT by Steven Dake
Modified: 2016-04-26 09:38 EDT (History)
5 users (show)

See Also:
Fixed In Version: openais-0.80.16-18.el5
Doc Type: Bug Fix
Doc Text:
In high-loss networks, an assert based on a constant value for the retransmit message queue size could have caused a some nodes to receive SIGABRT signals, and therefore terminate. This constant value has been increased to correspond to the maximum number of entries, thus resolving the issue.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 18:56:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the problem (620 bytes, patch)
2010-05-03 16:12 EDT, Steven Dake
no flags Details | Diff

  None (edit)
Description Steven Dake 2010-05-03 16:09:07 EDT
Description of problem:
The queue length is not long enough for really high loss networks resulting in sigabort.  Instead of 512 entries, it should be the max entries allowed which is 16384 entries.

Version-Release number of selected component (if applicable):
openais-0.80.6

How reproducible:
100%

Steps to Reproduce:
1. create 95% loss in multicast packets
2. start 8 node cpgverify operation
3. kill 1 node
  
Actual results:
sigabort of some nodes

Expected results:
no sigabort

Additional info:
Comment 1 Steven Dake 2010-05-03 16:12:23 EDT
Created attachment 411114 [details]
patch to fix the problem
Comment 12 Douglas Silas 2011-01-11 18:16:46 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In high-loss networks, an assert based on a constant value for the retransmit message queue size could have caused a some nodes to receive SIGABRT signals, and therefore terminate. This constant value has been increased to correspond to the maximum number of entries, thus resolving the issue.
Comment 14 errata-xmlrpc 2011-01-13 18:56:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0100.html

Note You need to log in before you can comment on or make changes to this bug.